View Issue Details

IDProjectCategoryView StatusLast Update
0001442ArchBugpublic2014-02-25 13:49
ReporterwmayerAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.14Fixed in Version 
Summary0001442: Failure in unit test of Arch module
DescriptionThe test method "testRemove" fails. Here the relevant code

import Arch, Draft, Part

FreeCAD.newDocument("ArchTest")
l=Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
w = Arch.makeWall(l)
sb = Part.makeBox(1,1,1)
b = FreeCAD.ActiveDocument.addObject('Part::Feature','Box')
b.Shape = sb
FreeCAD.ActiveDocument.recompute()
Arch.removeComponents(b,w)
FreeCAD.ActiveDocument.recompute()
w.Shape.Volume < 0.75 # => False
TagsNo tags attached.

Activities

yorik

2014-02-25 13:21

administrator   ~0004303

Oh good catch, thanks!

Related Changesets

FreeCAD: master 9fc0f0d7

2014-02-25 14:22:01

yorik

Details Diff
Arch: Fixed test suite - fixes 0001442 Affected Issues
0001442
mod - src/Mod/Arch/TestArch.py Diff File

Issue History

Date Modified Username Field Change
2014-02-25 12:59 wmayer New Issue
2014-02-25 12:59 wmayer Status new => assigned
2014-02-25 12:59 wmayer Assigned To => yorik
2014-02-25 13:21 yorik Note Added: 0004303
2014-02-25 13:49 yorik Changeset attached => FreeCAD Master master 9fc0f0d7
2014-02-25 13:49 yorik Status assigned => closed
2014-02-25 13:49 yorik Resolution open => fixed